2 Replies Latest reply on Jun 25, 2020 7:30 PM by mipr_4726566

    PSoC Creator 4.2 - update firmware for ScopePSoC

    mipr_4726566

      Hi,

       

      This is my first time trying a Cypress board.

       

      I am trying to get the oscilloscope/waveform generator going on the CY8CKIT-059 PSoC 5LP Prototyping Kit using PSoC Creator 4.2, following the instructions available at GitHub - cypresssemiconductorco/CyScope: 2 Channel Oscilloscope and Waveform Geneator uisng a CY8CKIT-059 board and a TC…

       

      I am following these instructions:

      In order to program the project into the CY8CKIT-059 using PSoC Creator, follow the steps below.

      1. If you have not already done so, install PSoC Creator. (done)
      2. Plug in the card edge connector from the CY8CKIT-059 into a USB port on your computer. (done)
      3. Navigate to the folder containing the project (in the GitHub repository, it is in ScopePSoC). Double-click on the PSoC Creator workspace file (Scope.cywrk) to open it in PSoC Creator. (done)
      4. Select the menu item “Build > Build Scope”. (done)
      5. Once the build is complete, you should see “Build Succeeded” in the Output window. (see the figure below for this step and all subsequent steps). (done)
      6. Select the menu item “Debug > Program”.  (done)
      7. Once programming is done, you should see a message at the bottom of the Output window indicating that the device was successfully programmed. (nope!)

       

      Here, I get the 'Select Debug Target' window with 'KitProg/1517109200078400' selected, with the message 'KitProg version expecting 2.21, but found 2.19. Please use PSoC Programmer GUI to upgrade firmware.' Below if I click on 'ARM Debug Port' I see 'This device was recognized, but PSoC Creator does not support using it at this time.'

       

      When I go back to the GUI, I cannot see how to update the firmware. I keep running into advice that says to simply open the "Utilities" tab and update, but I have not been able to find a 'Utilities' tab anywhere on the GUI, nor a menu item in all the tab menus. I tried 'Project>Update Components' and ran the Component Updater, but it did not work.

       

      Any recommendations of what to try next would be much appreciated. Thanks!

       

      Mike